package com.sd.business.service.order;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.order.dto.OrderSkuDto;
import com.sd.business.entity.order.dto.OrderSkuSelectDto;
import com.sd.business.entity.order.po.OrderSku;
import com.sd.business.entity.order.vo.OrderSkuVo;


/**
 * <p>
 * 订单sku 服务类
 * </p>
 *
 * @author
 * @since 2023-07-06
 */
public interface OrderSkuService extends BaseService<OrderSku> {

    /**
     * 订单sku分页
     */
    Page<OrderSkuVo> getPage(OrderSkuSelectDto dto);

    /**
     * 订单sku明细
     */
    OrderSkuVo detail(Long id);

    /**
     * 订单sku新增
     */
    void add(OrderSkuDto orderSkuDto);

    /**
     * 订单sku编辑
     */
    void edit(OrderSkuDto orderSkuDto);

    /**
     * 订单sku删除
     */
    void delete(Long id);

}
